POST V1/Lite/Security.{ext}/MobileException

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Common.MobileException
NameDescriptionTypeAdditional information
MobileVersion

No description available

string

None.

Message

No description available

string

None.

Source

No description available

string

None.

StackTrace

No description available

string

None.

HelpLink

No description available

string

None.

InnerException

No description available

string

None.

LoginId

No description available

string

None.

UserType

No description available

string

None.

OSType

No description available

string

None.

Token

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "mobileVersion": "sample string 1",
  "message": "sample string 2",
  "source": "sample string 3",
  "stackTrace": "sample string 4",
  "helpLink": "sample string 5",
  "innerException": "sample string 6",
  "loginId": "sample string 7",
  "userType": "sample string 8",
  "osType": "sample string 9",
  "token": "sample string 10"
}

application/xml, text/xml

Sample:
<MobileException xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Common">
  <HelpLink>sample string 5</HelpLink>
  <InnerException>sample string 6</InnerException>
  <LoginId>sample string 7</LoginId>
  <Message>sample string 2</Message>
  <MobileVersion>sample string 1</MobileVersion>
  <OSType>sample string 9</OSType>
  <Source>sample string 3</Source>
  <StackTrace>sample string 4</StackTrace>
  <Token>sample string 10</Token>
  <UserType>sample string 8</UserType>
</MobileException>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.